%define module  Net-Finger
%define name    perl-%{module}
%define version 1.06
%define release %mkrel 10

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        A Perl implementation of a finger client
License:        GPL or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Net/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:  perl-devel
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
Net::Finger is a simple, straightforward implementation of a finger client in
Perl -- so simple, in fact, that writing this documentation is almost
unnecessary.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/Net
%{_mandir}/*/*

%changelog
* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.06-10mdv2007.0
- Rebuild

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.06-9mdk
- Fix SPEC according to Perl Policy
    - Source URL

* Wed Nov 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.06-8mdk
- spec cleanup
- fix directory ownership
- %%mkrel
- rpmbuildupdate aware
- better summary
- better description
- better url

* Fri Oct 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.06-7mdk
- rpmbuildupdated

* Sat Aug 16 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.06-6mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro
- %%module macro
- rm -rf %{buildroot} at the beginning of %%install

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.06-5mdk
- rebuild for new auto{prov,req}

* Thu Mar 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.06-4mdk
- fix requires

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.06-3mdk
- build release

* Mon Jul 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.06-2mdk
- rebuild with new perl

* Sun Dec 2 2001 Oden Eriksson <oden.eriksson@linux-mandrake.com> 1.06-1mdk
- initial cooker contrib.

